/**
 * form Functions Registered
 */
IGDATAPOOLFE.plugins.add('formFunction', {
    form: null,
    initFields: function(form) {
	this.init(form);
    },
    init: function(form) {
	this.form = form;
	form.querySelectorAll('select[data-dp-init]').forEach(function(el){
	    let dpInit = el.getAttribute('data-dp-init');
	    if (window[dpInit]) {
		window[dpInit](el);
	    }
	    //document.querySelector[el.getAttribute('data-dp-init')](el);
	});
    }
});